Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IVLinearMap

    java.lang.Object
      igeo.IMap
          igeo.IVLinearMap

    public class IVLinearMap

extends IMap

A subclass of IMap defined by two value to generate gradient map in v direction.

Author:
  Satoru Sugihara

Field Summary
`java.util.ArrayList<java.lang.Double>` | `domains`
`double` | `end`
`double` | `start`
`java.util.ArrayList<java.lang.Double>` | `values`

Fields inherited from class igeo.IMap
`defaultDensityHeight, defaultDensityWidth, densityMinDelta, uIntegration, vIntegration`

Constructor Summary
`IVLinearMap()`
`IVLinearMap(double value)`
`IVLinearMap(double v0, double v1)`
`IVLinearMap(double v0, double v05, double v1)`
`IVLinearMap(double v0, double v033, double v066, double v1)`

Method Summary
`void` | `add(double v, double value)` adding (inserting) value between the domain of 0 - 1
`void` | `addValue(double v, double value)` alias of add(double,double)
`void` | `flipV()` to be defined in sub class
`double` | `get(double x)`
`double` | `get(double u, double v)` A main method to get a value of the map.
`void` | `insert(double v, double value)` alias of add(double,double)

Methods inherited from class igeo.IMap
`createImage, flipU, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, scaleDensityMapU, scaleDensityMapV`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### start

    public double start

### end

    public double end

### domains

    public java.util.ArrayList<java.lang.Double> domains

### values

    public java.util.ArrayList<java.lang.Double> values

Constructor Detail

### IVLinearMap

    public IVLinearMap()

### IVLinearMap

    public IVLinearMap(double value)

### IVLinearMap

    public IVLinearMap(double v0,
                       double v1)

### IVLinearMap

    public IVLinearMap(double v0,
                       double v05,
                       double v1)

### IVLinearMap

    public IVLinearMap(double v0,
                       double v033,
                       double v066,
                       double v1)

Method Detail

### add

    public void add(double v,
                    double value)

  adding (inserting) value between the domain of 0 - 1

### addValue

    public void addValue(double v,
                         double value)

  alias of add(double,double)

### insert

    public void insert(double v,
                       double value)

  alias of add(double,double)

### get

    public double get(double u,
                      double v)

  Description copied from class: `IMap`
  A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.

  Overrides:
    `get` in class `IMap`
  Parameters:
    `u` - u coordinates ranges 0.0 - 1.0
    `v` - v coordinates ranges 0.0 - 1.0
  Returns:
    value of the map.

### get

    public double get(double x)

### flipV

    public void flipV()

  Description copied from class: `IMap`
  to be defined in sub class

  Overrides:
    `flipV` in class `IMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD